---
title: Response.error()
slug: Web/API/Response/error
tags:
  - API
  - Error
  - Experimental
  - Fetch
  - Method
  - Reference
  - Response
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>error()</code></strong> method of the {{domxref("Response")}} interface returns a new <code>Response</code> object associated with a network error.</p>

<div class="note">
<p><strong>Note</strong>: This is mainly relevant to <a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorkers</a>; the error method is used to return an error if you so wish it. An error response has its {{domxref("Response.type","type")}} set to <code>error</code>.</p>
</div>

<div class="note">
<p><strong>Note</strong>: An "error" <code>Response</code> never really gets exposed to script: such a response to a {{domxref("GlobalFetch.fetch","fetch()")}} would reject the promise.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>errorResponse</em> = Response.error();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Response")}} object.</p>

<h2 id="Example">Example</h2>

<p>TBD (does not yet appear to be supported anywhere).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-response-error','error()')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Response.error")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
